# laminas-math

> This package is considered feature-complete, and is now in **security-only** maintenance mode, following a [decision by the Technical Steering Committee](https://github.com/laminas/technical-steering-committee/blob/2b55453e172a1b8c9c4c212be7cf7e7a58b9352c/meetings/minutes/2020-08-03-TSC-Minutes.md#vote-on-components-to-mark-as-security-only).
> If you have a security issue, please [follow our security reporting guidelines](https://getlaminas.org/security/).
> If you wish to take on the role of maintainer, please [nominate yourself](https://github.com/laminas/technical-steering-committee/issues/new?assignees=&labels=Nomination&template=Maintainer_Nomination.md&title=%5BNOMINATION%5D%5BMAINTAINER%5D%3A+%7Bname+of+person+being+nominated%7D)
>
> If you are looking for an actively maintained package alternative, we recommend:
>
> - [brick/math](https://packagist.org/packages/brick/math)

[![Build Status](https://github.com/laminas/laminas-math/workflows/Continuous%20Integration/badge.svg)](https://github.com/laminas/laminas-math/actions?query=workflow%3A"Continuous+Integration")

`Laminas\Math` provides general mathematical functions. So far the supported
functionalities are:

- `Laminas\Math\Rand`, a random number generator;
- `Laminas\Math\BigInteger`, a library to manage big integers.

## Migration notes from v2 to v3

[We document migration notes from v2 to v3](https://docs.laminas.dev/laminas-math/migration/),
providing details of potential BC breaks and/or API differences
you may need to be aware of.

## Miscellany

- File issues at https://github.com/laminas/laminas-math/issues
- Documentation is at https://docs.laminas.dev/laminas-math/
